# isHexString

> Test whether a string contains only hexadecimal digits.

<section class="usage">

## Usage

```javascript
var isHexString = require( '@stdlib/assert/is-hex-string' );
```

#### isHexString( value )

Tests whether a string contains only hexadecimal digits.

```javascript
var bool = isHexString( '0123456789abcdefABCDEF' );
// returns true
```

</section>

<!-- /.usage -->

<section class="notes">

## Notes

-   For non-string values, the function returns `false`.
-   The function does **not** recognize `x` (as in the standard `0x` prefix).

</section>

<!-- /.notes -->

<section class="examples">

## Examples

<!-- eslint no-undef: "error" -->

```javascript
var isHexString = require( '@stdlib/assert/is-hex-string' );

var out = isHexString( '0123456789abcdefABCDEF' );
// returns true

out = isHexString( '' );
// returns false

out = isHexString( '0xffffff' );
// returns false

out = isHexString( 123 );
// returns false
```

</section>

<!-- /.examples -->

* * *

<section class="cli">

## CLI

<section class="usage">

### Usage

```text
Usage: is-hex-string [options] [<string>]

Options:

  -h,    --help                Print this message.
  -V,    --version             Print the package version.
```

</section>

<!-- /.usage -->

<section class="examples">

### Examples

```bash
$ is-hex-string 0123456789abcdefABCDEF
true
```

To use as a [standard stream][standard-streams],

```bash
$ echo -n '0123456789abcdefABCDEF' | is-hex-string
true
```

</section>

<!-- /.examples -->

</section>

<!-- /.cli -->

<section class="links">

[standard-streams]: https://en.wikipedia.org/wiki/Standard_streams

</section>

<!-- /.links -->
